LinuxQuestions.org
Latest LQ Deal: Linux Power User Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 03-08-2004, 10:14 AM   #1
gummimann
Member
 
Registered: Nov 2003
Distribution: redhat
Posts: 57

Rep: Reputation: 15
Trouble innstalling xine-ui


When I run ./configure it get this output (I didn't post the whole thing because it's so long).

checking for pkg-config... /usr/bin/pkg-config
checking for png_read_info in -lpng... yes
checking png.h usability... no
checking png.h presence... no
checking for png.h... no
checking libpng/png.h usability... no
checking libpng/png.h presence... no
checking for libpng/png.h... no
configure: error: *** libpng is needed (PNG header file not found) - try to use --with-png-prefix option ***
I got RH9 installed, and have tryed all.

This is my /etc/ld.so.conf file:
/usr/kerberos/lib
/usr/X11R6/lib
/usr/lib/sane
/usr/lib/qt-3.1/lib
/usr/local/lib/xine/plugins
/usr/local/lib

I've run ldconfig

When I run locate I get this output:
[root@HENRIK5 xine-ui-0.9.23]# locate libpng.so
/usr/lib/libpng.so.3
/usr/lib/libpng.so.3.1.2.2
/usr/lib/libpng.so.2.1.0.13
/usr/lib/libpng.so.2
/usr/lib/libpng.so
/usr/X11R6/lib/libpng.so.2.1.0.3
/usr/X11R6/lib/libpng.so.2

I have installed a new version og libpng as you see, but I couldn't uninstall the old one because dependensies.

When I run rpm -qa I get this output:
[root@HENRIK5 xine-ui-0.9.23]# rpm -qa | grep -i libpng
libpng-1.2.2-16
libpng10-1.0.13-8
libpng-2.1.0.3-1


I also installed xine-lib without problems.

Can anyone help me. Please!!!!


Last edited by gummimann; 03-08-2004 at 10:17 AM.
 
Old 03-08-2004, 11:06 AM   #2
quatsch
LQ Addict
 
Registered: Aug 2003
Location: New York, NY
Distribution: gentoo, gentooPPC
Posts: 1,661

Rep: Reputation: 48
you need to install libpng-devel. You often need the devel packages to get things compiled.
 
Old 03-08-2004, 11:25 AM   #3
gummimann
Member
 
Registered: Nov 2003
Distribution: redhat
Posts: 57

Original Poster
Rep: Reputation: 15
Thank you so much.

Worked as a charme

Finally!!!
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
xine trouble pharmd Ubuntu 4 08-01-2005 01:33 PM
Xine trouble TuxFreak Linux - Software 5 01-30-2005 06:02 PM
Trouble running xine gummimann Linux - Software 2 03-21-2004 10:44 AM
Xine trouble zmaint Linux - Software 7 02-15-2004 12:49 PM
Problem innstalling ISA soundcard under Mandrake 9.1 wiggywag Linux - Hardware 5 10-15-2003 05:56 AM


All times are GMT -5. The time now is 03:04 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration